Index: SPECS/graphviz.spec
===================================================================
--- SPECS.orig/graphviz.spec
+++ SPECS/graphviz.spec
@@ -12,7 +12,7 @@ Version: 2.14.1
 %{?distroagnostic: %define release %{truerelease}}
 %{!?distroagnostic: %define release %{truerelease}%{?dist}}
 
-Release: %{?release}
+Release: %{?release}.fa1
 
 Group:   Applications/Multimedia
 License: CPL
@@ -83,9 +83,12 @@ BuildRequires: xorg-x11-devel
 BuildRequires: perl php-devel ruby ruby-devel guile-devel python-devel
 %endif
 %if "%rhel" >= "5"
+%ifnarch %{arm}
 %define JAVA   1
+BuildRequires: java-devel
+%endif
 %define PANGOCAIRO --with-pangocairo
-BuildRequires: libtool-ltdl libtool-ltdl-devel libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel java-devel
+BuildRequires: libtool-ltdl libtool-ltdl-devel libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel
 BuildRequires: cairo-devel >= 1.1.10 pango-devel gmp-devel gtk2-devel libgnomeui-devel
 %endif
 %endif
@@ -115,9 +118,12 @@ BuildRequires: xorg-x11-devel
 BuildRequires: libtool-ltdl libtool-ltdl-devel php-devel ruby ruby-devel guile-devel python-devel
 %endif
 %if "%fedora" >= "5"
+%ifnarch %{arm}
 %define JAVA   1
-BuildRequires: libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel java-devel
-%ifnarch ppc64
+BuildRequires: java-devel
+%endif
+BuildRequires: libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel
+%ifnarch %{arm} ppc64
 %define SHARP  1
 %define OCAML  1
 BuildRequires: mono-core ocaml
